Subject: [bug#44595] [PATCH 1/1] gnu: transmission: Move remaining GUI-related files to "gui" output.

From: Simon South <[email-masked]>
Date: Fri, 27 Nov 2020 16:30:19 -0500

Leo Prikler <[email-masked]> writes:
> I believe this patch inadvertently broke localization for transmission-
> gtk – or at least I'm recently seeing the English version despite the
> localization files being present and my locale not being set to English

I think I have this fixed now; I'll reply to this email with a patch
that corrects this by

- Patching Transmission to honour the "localedir" option to its
  configure script, and

- Using this option to specify the "gui" output as the location for the
  (GTK-specific) localization data.

With the patch applied I can now run transmission-gtk en français, which
really did not work before.

Leo, thanks for mentioning "bindtextdomain" as that was indeed the
source of the problem. If you have a few moments, could you test the
patch please to make sure it fixes the problem you're seeing?

-- 
Simon South
[email-masked]